.playerlist{
    list-style-type: none;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
}

.playername{
    font-size: 1.25em;
    margin-bottom: 0.5em;
    color: black;
    font-weight: 500;
}

.playernamesmall{
    font-size: 0.6em;
    margin-bottom: 0.25em;
    color: black;
    font-weight: 500;
}

.shadow{
    background-color:rgba(255, 255, 255, 0.5);
    padding: 0.05em 0.25em;
    line-height: 1.4em;
}


.title_lvl1{
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    font-weight: 500;
    padding: 0.2em 0.5em;
    line-height: 1.4em;
    margin: 1em auto;
    font-size: 2em;
    display: block;
    width: max-content;
}

.title_lvl2{
    color: black;
    background-color: white;
    font-weight: 900;
    padding: 0.2em 0.5em;
    line-height: 1.4em;
    margin-top: 1em;
    margin-bottom: 0em;
    box-shadow: 0.25em 0.25em;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.3em;
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2.5em;
    margin-bottom: 1em;
}

.title_lvl3{
    color: black;
    background-color: white;
    font-size: 0.6em;
    font-weight: 900;
    padding: 0.2em 0.5em;
    line-height: 1.4em;
    margin-top: 1em;
    margin-bottom: 0em;
    box-shadow: 0.25em 0.25em;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.3em;
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2.5em;
    margin-bottom: 1em;
}

.startButton{
    font-size: 1em !important;
}

.startButton, .dark-button{
    background-color: black !important;
    color: white !important;
    font-weight: 900 !important;
    margin-top: 3em !important;
    display: block;
}

.startButton:hover, .dark-button:hover{
    background-color: white !important;
    color: black !important;
}

.inputFieldCompact input[type=text]{
    border: none;
    background-color: white;
    padding: 0.1em;
    width: 8em;
    color: black;
    text-align: center;
    font-size: 1em;
    font-weight: 500;
    margin: 0;
    display: inline;
    height: 1.6em;
}


.inputFieldCompact input[type=submit]{
    margin: 0;
    border: none;
    background-color: black;
    padding: 0.2em;
    width: max-content;
    color: white;
    text-align: center;
    font-size: 1em;
    font-weight: 500;
    letter-spacing:0;
    display: inline;
    height: 1.8em;
    padding-left: 0.4em;
    padding-right: 0.4em;
}

.inputFieldCompact{
    display: block;

}

.infotext{
    margin-top: 1.5em;
    margin-bottom: 1em;
    display: block;
}

@-moz-document url-prefix() {
    input[type="range"] {
        background-color: var(--bg-color) !important;
    }
}

input[type="range"]::-moz-range-track {
    background-color: #000;
    height: 3px;
}

input[type="range"]::-moz-range-progress {
    background-color: #000;
    height: 3px;
}

input[type="range"]::-moz-range-thumb {
    background-color: #fff;
    border: 0px;
    width: 25px;
    height: 25px;
}

/*Chrome*/
@media screen and (-webkit-min-device-pixel-ratio:0) {
    input[type='range'] {
      -webkit-appearance: none;
      background-color: black;
      width: 400px;
    }
    
    input[type='range']::-webkit-slider-runnable-track {
      height: 25px;
      -webkit-appearance: none;
      color: white;
      margin-top: -11px;
      margin-bottom: -11px;
    }
    
    input[type='range']::-webkit-slider-thumb {
      width: 25px;
      -webkit-appearance: none;
      height: 25px;
      cursor: ew-resize;
      background: white;
      border-radius: 12px;
    }

}

.room-link-lobby{
    width: max-content;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.room-link-lobby img{
    padding: 0;
    margin-left: 0.3em;
    height: 40px;
    width: auto;
    position: relative;
    top: 0.2em;
}

.room-link-lobby p{
    color: black;
    text-decoration: none;
    font-weight: 500;
    background-color:rgba(255, 255, 255, 0.5);
    padding: 0.05em 0.25em;
    line-height: 1.4em;
    margin-top: 0.5em;
    display: inline;
}